PrefabFiles = {
	"tomoya","clannad_light",
}

Assets = {
Asset( "IMAGE", "images/saveslot_portraits/tomoya.tex" ),
Asset( "ATLAS", "images/saveslot_portraits/tomoya.xml" ),
Asset( "IMAGE", "images/selectscreen_portraits/tomoya.tex" ),
Asset( "ATLAS", "images/selectscreen_portraits/tomoya.xml" ),
Asset( "IMAGE", "bigportraits/tomoya.tex" ),
Asset( "ATLAS", "bigportraits/tomoya.xml" ),	
Asset( "IMAGE", "images/map_icons/tomoya.tex" ),
Asset( "ATLAS", "images/map_icons/tomoya.xml" ),
Asset( "IMAGE", "images/avatars/avatar_tomoya.tex" ),
Asset( "ATLAS", "images/avatars/avatar_tomoya.xml" ),
Asset( "IMAGE", "images/avatars/avatar_ghost_tomoya.tex" ),
Asset( "ATLAS", "images/avatars/avatar_ghost_tomoya.xml" ),
	Asset( "ANIM", "anim/clannad_light.zip" ),
	Asset( "ATLAS", "images/clannad_light.xml" ),	


}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.tomoya = "tomoya"
STRINGS.CHARACTER_NAMES.tomoya = "tomoya"
STRINGS.CHARACTER_DESCRIPTIONS.tomoya = "*Defense is high\n*Can produce clannad_light\n*Can be upgraded"
STRINGS.CHARACTER_QUOTES.tomoya = "\"Quote\""
-- Custom speech strings
STRINGS.CHARACTERS.tomoya = require "speech_tomoya"

-- The character's name as appears in-game 
STRINGS.NAMES.tomoya = "tomoya"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.tomoya = 
{
	GENERIC = "ŁĄ",
	ATTACKER = "ŁĄ",
	MURDERER = "ŁĄ",
	REVIVER = "ŁĄ",
	GHOST = "ŁĄ",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "tomoya")


AddMinimapAtlas("images/map_icons/tomoya.xml")
AddModCharacter("tomoya")


local clannad_light = AddRecipe("clannad_light",
{GLOBAL.Ingredient("fireflies",5),Ingredient("nightmarefuel",1)}, 
GLOBAL.RECIPETABS.SURVIVAL, GLOBAL.TECH.NONE,
nil, nil, nil, nil, nil,
"images/clannad_light.xml", "clannad_light.tex")

STRINGS.NAMES.CLANNAD_LIGHT = "clannad_light"
STRINGS.RECIPE_DESC.CLANNAD_LIGHT="tomoya level up!"
-----------
